AbstractDataBindingGrailsPlugin (Grails 6.0.0)

Package: org.grails.plugins.databinding

## [Groovy] Class AbstractDataBindingGrailsPlugin

- org.grails.plugins.databinding.AbstractDataBindingGrailsPlugin

-     abstract class AbstractDataBindingGrailsPlugin
      extends Plugin

  Plugin for configuring the data binding features of Grails

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.util.List<java.lang.String>` | `DEFAULT_DATE_FORMATS` |
    `static java.lang.String` | `DEFAULT_JSR310_LOCAL_DATE_FORMAT` |
    `static java.lang.String` | `DEFAULT_JSR310_LOCAL_DATE_TIME_FORMAT` |
    `static java.lang.String` | `DEFAULT_JSR310_LOCAL_TIME_FORMAT` |
    `static java.lang.String` | `DEFAULT_JSR310_OFFSET_TIME_FORMAT` |
    `static java.lang.String` | `DEFAULT_JSR310_OFFSET_ZONED_DATE_TIME_FORMAT` |
    `private java.lang.Object` | `version` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Plugin` | `applicationContext, artefacts, enabled, environment, grailsApplication, plugin, pluginManager`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractDataBindingGrailsPlugin ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`

- - ### Field Detail

    - #### public static final java.util.List<java.lang.String> DEFAULT_DATE_FORMATS

    - #### public static final java.lang.String DEFAULT_JSR310_LOCAL_DATE_FORMAT

    - #### public static final java.lang.String DEFAULT_JSR310_LOCAL_DATE_TIME_FORMAT

    - #### public static final java.lang.String DEFAULT_JSR310_LOCAL_TIME_FORMAT

    - #### public static final java.lang.String DEFAULT_JSR310_OFFSET_TIME_FORMAT

    - #### public static final java.lang.String DEFAULT_JSR310_OFFSET_ZONED_DATE_TIME_FORMAT

    - #### private java.lang.Object version

  - ### Property Detail

    - #### java.lang.Object version

  - ### Constructor Detail

    - #### AbstractDataBindingGrailsPlugin()

  - ### Method Detail

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()